/** \file .h
 *  \brief This module
 */

#if !defined(__RPI_PARAM_H__)
#define __RPI_PARAM_H__

/***************************************************************************************************
 * Includes
 **************************************************************************************************/

#include <stdint.h>

/***************************************************************************************************
 * Preprocessor Constants and Macros
 **************************************************************************************************/

#define CHAN_MAXLEDS 6 * 60 // Maximum number of LEDs per channel
#define LED_NCHANS 8        // Number of LED channels (8 or 16)

/***************************************************************************************************
 * Type and Contant Definitions
 **************************************************************************************************/

/**
 *
 */
typedef struct {
  uint8_t intensity;
  int hue;
} pixled_param_t;

/**
 *
 */
typedef struct {
  unsigned int sensitivity;
} auton_param_t;

/**
 *
 */
typedef struct {
  unsigned int sensitivity;
} ledbar_param_t;

/**
 *
 */
typedef struct {
  pixled_param_t pixled;
  auton_param_t auton;
  ledbar_param_t ledbar[10];
} param_t;

/***************************************************************************************************
 * Global Variables
 **************************************************************************************************/

static param_t *param_access;

/***************************************************************************************************
 * External Function Prototypes
 **************************************************************************************************/

/**
 * \brief
 */
void param_setup();

/**
 * \brief
 *
 * \param[in] channel
 *
 * \param[in] sensitivity
 */
void set_sensitivity(int channel, unsigned int sensitivity);

#endif /* __RPI_PARAM_H__ */